# $Revision: 1.16 $, $Date: 2002/10/11 17:34:28 $
Summary:	GNU autoconf - source configuration tools
Summary(pl):	GNU autoconf - narzdzie do automatycznego konfigurowania rde
Name:		autounit
Version:	0.10.2
Release:	2
License:	GPL
Group:		Development/Tools
Source0:	http://www.recursism.com/projects/autounit/%{name}-%{version}.tar.gz
Patch0:		%{name}-info.patch
Patch1:		%{name}-no_html_doc.patch
URL:		http://www.recursism.com/projects/autounit/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Autounit's goal is to provide a common unit testing framework for
application developers who use GNU Autoconf already in their projects
but do not currently use a unit testing framework.

%description -l pl
Celem programu GNU Autounit jest dostarczenie popularnego systemu
testw dla developerw aplikacji ju uywajcych programu GNU Autoconf
w ich projektach ale aktualnie nie uywajcych programw testujcych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
%{__autoheader}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libau-c-unit.a
%{_includedir}/c-unit
%{_infodir}/*info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: autounit.spec,v $
Revision 1.16  2002/10/11 17:34:28  kloczek
- release 2.

Revision 1.15  2002/10/10 11:52:50  marcus
- use new %%doc

Revision 1.14  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.13  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.12  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/04/25 15:50:32  arturs
fixed a small typo

Revision 1.10  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:12:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/09/28 04:37:45  kloczek
- updated to 0.10.2,
- added no_html_doc patch.

Revision 1.6  2001/08/24 03:58:27  kloczek
- upadated to 0.10.1,
- regenerate ac/am/ah/lt files (spec is ac 2.5x ready).

Revision 1.5  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.3  2001/05/20 10:03:22  kloczek
- typo in %files,
-added glib-devel to BuildRequires.

Revision 1.2  2001/05/20 09:56:46  kloczek
- finished and updated to 0.10.

Revision 1.1  2001/02/23 20:17:00  misiek
unfinished
